Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface SharedBehaviour

All Superinterfaces:
  Behaviour, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SharedBehaviourImpl

    public interface SharedBehaviour

extends Behaviour

A representation of the model object 'Shared Behaviour'.

The following features are supported:

- `Delegate`

See Also:
  `GMFGenPackage.getSharedBehaviour()`
** Generated **
Model:

Method Summary
`Behaviour` `getDelegate()` Returns the value of the 'Delegate' reference
`void` `setDelegate(Behaviour value)` Sets the value of the '`Delegate`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Behaviour
`getEditPolicyQualifiedClassName, getSubject`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDelegate

    Behaviour getDelegate()

  Returns the value of the 'Delegate' reference.

  If the meaning of the 'Delegate' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Delegate' reference.
  See Also:
    `setDelegate(Behaviour)`, `GMFGenPackage.getSharedBehaviour_Delegate()`
  ** Generated **
  Model:
    required="true"

### setDelegate

    void setDelegate(Behaviour value)

  Sets the value of the '`Delegate`' reference.

  Parameters:
    `value` - the new value of the 'Delegate' reference.
  See Also:
    `getDelegate()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.